#pragma once

class DL_WriterA;
class DL_Dxf;
struct DL_LayerData;
class MxReadFilter;

class MxReadContext;
class MxWriteContext;

class MxOptLayerTable
{
public:
	MxOptLayerTable(MxReadContext*  pContext
		);

	MxOptLayerTable(MxWriteContext*  pContext
		);


	virtual ~MxOptLayerTable(void);

	bool Mx2Dxf(DL_WriterA* dw);

	McDbObjectId DxfRecord2Mx(const DL_LayerData& data);

protected:

	bool MxRecord2Dxf(McDbLayerTableRecord* pMxRecord,DL_WriterA* dw);
private:
	MxReadContext*  m_pReadContext;
	MxWriteContext* m_pWriteContext;
};
